<?php
/**
* Customizer Defaults
*
* The following filter is used to setup the customizer defaults which are setup by your child theme
*
*/


function layers_cutseo_customizer_defaults( $defaults ){

	$defaults = array(
		'body-fonts' => 'Open Sans',
		'header-sticky' => '1',
		'header-background-color' => '#222222',
		'footer-sidebar-count' => '0',
		'footer-background-color' => '#222222',
		'form-fonts' => 'Open Sans',
		//'cutseo_main_color' => '#1E73BE'
	);
	return $defaults;
}
add_filter( 'layers_customizer_control_defaults', 'layers_cutseo_customizer_defaults' );

/** Change length of excerpt **/
function custom_excerpt_length( $length ) {
	return 40;
}
add_filter( 'excerpt_length', 'custom_excerpt_length', 999 );


/** Change more in excerpt **/
function new_excerpt_more( $more ) {
	return ' <a class="read-more" href="' . get_permalink( get_the_ID() ) . '">' . __( '[click to continue...]', 'cutseo-blog' ) . '</a>';
}
add_filter( 'excerpt_more', 'new_excerpt_more' );

/** insert new js **/
add_action( 'wp_enqueue_scripts', 'child_add_scripts' );
function child_add_scripts() {
    wp_register_script(
        'custom-script-cutseo',
        get_stylesheet_directory_uri() . '/js/custom-script-cutseo.js',
        false,
        null,
        true
    );

    wp_enqueue_script( 'custom-script-cutseo' );
}


/** Custom controls**/

	/** Merge panels with site-settings **/
add_filter( 'layers_customizer_panels', 'modify_customizer_panels');
function modify_customizer_panels( $panels ){
	$panel_cutseo = array (
			   'title' => __( 'Custom controls', 'cutseo-blog' ),
			   'priority' => 1
	);
	$panels['cut-seo'] = $panel_cutseo;
	return $panels;
}

	/** New sctions **/
add_filter( 'layers_customizer_sections', 'modify_customizer_sections');
function modify_customizer_sections( $sections ){
		$cutseo_section = array (
			
			'cutseo-marketing' => array (
				'title'    =>__( 'SEO &amp; Marketing', 'cutseo-blog' ),
				'panel'    => 'cut-seo',
			),
		 	'cutseo-color' => array(
				'title'    =>__( 'Colors', 'cutseo-blog' ),
				'panel'    => 'cut-seo',
			),
			
			'cutseo-woocommerce-all' => array(
				'title'    =>__( 'WooCommerce', 'cutseo-blog' ),
				'panel'    => 'cut-seo',
			),
			'cutseo-woocommerce-product-list' => array(
				'title'    =>__( 'WooCommerce: Product List', 'cutseo-blog' ),
				'panel'    => 'cut-seo',
			),
			'cutseo-woocommerce-product-page' => array(
				'title'    =>__( 'WooCommerce: Product Page', 'cutseo-blog' ),
				'panel'    => 'cut-seo',
			),

		);
	$sections = array_merge($sections, $cutseo_section);
	return $sections;
}


	/** Color **/
add_filter( 'layers_customizer_controls', 'my_layers_customizer_controls');
function my_layers_customizer_controls( $controls ){
	$cutseo_marketing = array(
	
    		'cutseo-display-heading-h1' => array(
				'type'        => 'layers-heading',
				'label'       => __( 'Great!' , 'cutseo-blog' ),
				'description' => __( 'Thank you, for choose the theme. <a href="http://www.cutseo.com" target="_blank">CutSEO.com</a>' , 'cutseo-blog' ),
			),
			'cutseo-display-heading-h2' => array(
				'type'        => 'layers-heading',
				'label'       => __( 'Would you like more visitors?' , 'cutseo-blog' ),
				'description' => __( 'Be in touch and I send you FREE posts about my marketing:<br /><iframe width="100%" scrolling="no" frameborder="0" src="http://cutseo.com/?wysija-page=1&controller=subscribers&action=wysija_outter&wysija_form=2&external_site=1&wysijap=subscriptions" class="iframe-wysija" vspace="0" tabindex="0" style="position: static; top: 0pt; margin: 0px; border-style: none; height: 130px; left: 0pt; visibility: visible;" marginwidth="0" marginheight="0" hspace="0" allowtransparency="true" title="Subscription MailPoet"></iframe>' , 'cutseo-blog' ),
			),
			'cutseo-display-heading-h3' => array(
				'type'        => 'layers-heading',
				'label'       => __( 'Facebook:' , 'cutseo-blog' ),
				'description' => __( '<iframe style="border: none; overflow: hidden; width: 250px; height: 258px;" src="//www.facebook.com/plugins/likebox.php?href=https%3A%2F%2Fwww.facebook.com%2Fpages%2Fcutseocom%2F375807092610135&amp;width=250&amp;height=258&amp;colorscheme=light&amp;show_faces=true&amp;header=false&amp;stream=false&amp;show_border=false&amp;appId=1410185172557915" width="250" height="150" frameborder="0" scrolling="no"></iframe>' , 'cutseo-blog' ),				
			),
	
	);
	
	
	
    $cutseo_theme_colors = array(
    		'cutseo-display-heading' => array(
				'type'        => 'layers-heading',
				'label'       => __( 'Special color' , 'cutseo-blog' ),
				'description' => __( 'Choose your colors for theme CutSEO.com' , 'cutseo-blog' ),
			),
    		/*'cutseo_main_color' => array(
					'label' => '',
					'subtitle' => __( 'Color theme', 'cutseo-blog' ),
					'description' => __( 'Links, hover and buttons (background)', 'cutseo-blog' ),
					'type' => 'layers-color',
					'default' => '#1E73BE',
			), 
			'cutseo_button_search' => array(
					'label' => '',
					'subtitle' => __( 'Special buttons (background)', 'cutseo-blog' ),
					'description' => __( 'Color-background for other buttons: Search, Apply coupon and Update cart ', 'cutseo-blog' ),
					'type' => 'layers-color',
					'default' => '#999999',
			), */
			'header-background-color' => array(
				'label' => '',
				'subtitle' => __( 'Header Background' , 'cutseo-blog' ),
				'description' => __( 'Logo and navigation container', 'cutseo-blog' ),
				'type'		=> 'layers-color',
				'default'	=> '',
			),
			'section-title-heading-color' => array(
				'label' => '',
				'subtitle' => __( 'Widget &amp; Post Titles', 'cutseo-blog' ),
				'description' => __( '', 'cutseo-blog' ),
				'type' => 'layers-color',
				'default' => '',
			),
			'section-title-excerpt-color' => array(
				'label' => '',
				'subtitle' => __( 'Widget Excerpt', 'cutseo-blog' ),
				'description' => __( '', 'cutseo-blog' ),
				'type' => 'layers-color',
				'default' => '',
			),
			'sidebar-well-color' => array(
				'label' => '',
				'subtitle' => __( 'Sidebar Background', 'cutseo-blog' ),
				'description' => __( '', 'cutseo-blog' ),
				'type' => 'layers-color',
				'default' => '',
			),
			'story-meta-color' => array(
				'label' => '',
				'subtitle' => __( 'Post Meta', 'cutseo-blog' ),
				'description' => __( '', 'cutseo-blog' ),
				'type' => 'layers-color',
				'default' => '',
			),
			'footer-background-color' => array(
				'label' => '',
				'subtitle' => __( 'Footer Background' , 'cutseo-blog' ),
				'description' => __( '', 'cutseo-blog' ),
				'type' => 'layers-color',
				'default' => '',
			),
	);
	
	$cutseo_product_list_woocommerce = array(
			'woocommerce-product-list-display-heading' => array(
				'type'        => 'layers-heading',
				'label'       => __( 'Product List' , 'cutseo-blog' ),
				'description' => __( 'Choose what to display on product pages.' , 'cutseo-blog' ),
			),
			'woocommerce-product-list-products-count' => array(
				'type'		=> 'layers-checkbox',
				'label'		=> __( 'Count' , 'cutseo-blog' ),
				'default'	=> TRUE,
			),
			'woocommerce-product-list-products-sorting' => array(
				'type'		=> 'layers-checkbox',
				'label'		=> __( 'Sorting' , 'cutseo-blog' ),
				'default'	=> TRUE,
			),
			'woocommerce-product-list-sale-flash' => array(
				'type'		=> 'layers-checkbox',
				'label'		=> __( 'Sale' , 'cutseo-blog' ),
				'default'	=> TRUE,
			),
			'woocommerce-product-list-add-to-cart-button' => array(
				'type'		=> 'layers-checkbox',
				'label'		=> __( 'Button "Add To Cart"' , 'cutseo-blog' ),
				'default'	=> TRUE,
			),

			'woocommerce-product-list-prices' => array(
				'type'		=> 'layers-checkbox',
				'label'		=> __( 'Price' , 'cutseo-blog' ),
				'default'	=> TRUE,
			),
			'woocommerce-product-list-ratings' => array(
				'type'		=> 'layers-checkbox',
				'label'		=> __( 'Rating' , 'cutseo-blog' ),
				'default'	=> TRUE,
			),
			'woocommerce-product-list-new-badges' => array(
				'type'		=> 'layers-checkbox',
				'label'		=> __( '"New" Badges' , 'cutseo-blog' ),
				'default'	=> FALSE,
			),
			'woocommerce-product-list-new-badges-time' => array(
				'type'		  => 'layers-number',
				'label'		  => __( '"New" Badge Period' , 'cutseo-blog' ),
				'description' => __( 'Number of days to show the "New" badge' , 'cutseo-blog' ),
				'default'	  => 30,
				'linked'      => array(
						'show-if-selector' => "#layers-woocommerce-product-list-new-badges",
						'show-if-value' => "true",
				)
			),		
			'woocommerce-product-list-thumbnails' => array(
				'type'		=> 'layers-checkbox',
				'label'		=> __( 'Thumbnail' , 'cutseo-blog' ),
				'default'	=> TRUE,
			),
			'woocommerce-product-list-thumbnails-flip' => array(
				'type'		=> 'layers-checkbox',
				'label'		=> __( 'Product Thumbnails Flip' , 'cutseo-blog' ),
				'description' => __( 'Choose this option to flip between the products featured image and the first image in the products gallery.' , 'cutseo-blog' ),
				'default'	=> FALSE,
				'linked'    => array(
						'show-if-selector' => "#layers-woocommerce-product-list-thumbnails",
						'show-if-value' => "true",
				)
			),
	);
	
	$cutseo_woocommerce_all = array(

			'woocommerce-site-cart-heading' => array(
				'type'  => 'layers-heading',
				'label'    => __( 'Menu Cart' , 'cutseo-blog' ),
				'description'    => __( 'Choose what display in your menu cart.' , 'cutseo-blog' ),
			),
			'woocommerce-show-site-cart-heading' => array(
				'type'		=> 'layers-checkbox',
				'label'		=> __( 'Menu Cart' , 'cutseo-blog' ),
				'default'	=> TRUE,
			),
			'woocommerce-show-menu-cart-icon' => array(
				'type'		=> 'layers-checkbox',
				'label'		=> __( 'Cart Icon' , 'cutseo-blog' ),
				'default'	=> TRUE,
				'linked' => array(
						'show-if-selector' => '#layers-woocommerce-show-site-cart-heading',
						'show-if-value' => 'true'
					)
			),
			'woocommerce-show-menu-cart-amount' => array(
				'type'		=> 'layers-checkbox',
				'label'		=> __( 'Amount' , 'cutseo-blog' ),
				'default'	=> TRUE,
				'linked' => array(
						'show-if-selector' => '#layers-woocommerce-show-site-cart-heading',
						'show-if-value' => 'true'
					)
			),
			'woocommerce-show-menu-cart-products' => array(
				'type'		=> 'layers-checkbox',
				'label'		=> __( 'Product Count' , 'cutseo-blog' ),
				'default'	=> FALSE,
				'linked' => array(
						'show-if-selector' => '#layers-woocommerce-show-site-cart-heading',
						'show-if-value' => 'true'
					)
			),
		/*	'woocommerce-show-menu-cart-mini-cart' => array(
				'type'		=> 'layers-checkbox',
				'label'		=> __( 'Mini Cart Dropdown' , 'cutseo-blog' ),
				'default'	=> FALSE,
				'linked' => array(
						'show-if-selector' => '#layers-woocommerce-show-site-cart-heading',
						'show-if-value' => 'true'
					)
			),*/
			'woocommerce-product-list-stock' => array(
				'type'		=> 'layers-checkbox',
				'label'		=> __( 'Stock Count' , 'cutseo-blog' ),
				'default'	=> FALSE,
			),
			'woocommerce-product-list-new-badges' => array(
				'type'		=> 'layers-checkbox',
				'label'		=> __( '"New" Badges' , 'cutseo-blog' ),
				'default'	=> FALSE,
			),
			'woocommerce-product-list-new-badges-time' => array(
				'type'		  => 'layers-number',
				'label'		  => __( '"New" Badge Period' , 'cutseo-blog' ),
				'description' => __( 'Number of days to show the "New" badge' , 'cutseo-blog' ),
				'default'	  => 30,
				'linked'      => array(
						'show-if-selector' => "#layers-woocommerce-product-list-new-badges",
						'show-if-value' => "true",
				)
			),


		
	);
	
	$cutseo_product_page_woocommerce = array(
		'woocommerce-product-page-display-heading' => array(
				'type'  => 'layers-heading',
				'label' => __( 'The Product' , 'cutseo-blog' ),
				'description' => __( 'What should be on detail of product?' , 'cutseo-blog' ),
			),
			'woocommerce-product-page-title' => array(
				'type'		=> 'layers-checkbox',
				'label'		=> __( 'Title' , 'cutseo-blog' ),
				'default'	=> TRUE,
			),
			'woocommerce-product-page-excerpt' => array(
				'type'		=> 'layers-checkbox',
				'label'		=> __( 'Excerpt' , 'cutseo-blog' ),
				'default'	=> TRUE,
			),
			'woocommerce-product-page-sale-flash' => array(
				'type'		=> 'layers-checkbox',
				'label'		=> __( 'Sale Badges' , 'cutseo-blog' ),
				'default'	=> TRUE,
			),
			'woocommerce-product-page-add-to-cart-button' => array(
				'type'		=> 'layers-checkbox',
				'label'		=> __( 'Add To Cart Buttons' , 'cutseo-blog' ),
				'default'	=> TRUE,
			),
			'woocommerce-product-page-prices' => array(
				'type'		=> 'layers-checkbox',
				'label'		=> __( 'Prices' , 'cutseo-blog' ),
				'default'	=> TRUE,
			),
			'woocommerce-product-page-ratings' => array(
				'type'		=> 'layers-checkbox',
				'label'		=> __( 'Ratings' , 'cutseo-blog' ),
				'default'	=> TRUE,
			),
			'woocommerce-product-page-meta' => array(
				'type'		=> 'layers-checkbox',
				'label'		=> __( 'Product Meta' , 'cutseo-blog' ),
				'default'	=> TRUE,
			),
			'woocommerce-product-page-stock' => array(
				'type'		=> 'layers-checkbox',
				'label'		=> __( 'Stock Count' , 'cutseo-blog' ),
				'default'	=> FALSE,
			),
	);
	
	$controls['cutseo-marketing'] = $cutseo_marketing;	
	$controls['cutseo-woocommerce-all'] = $cutseo_woocommerce_all;	
	$controls['cutseo-woocommerce-product-list'] = $cutseo_product_list_woocommerce;
	$controls['cutseo-woocommerce-product-page'] = $cutseo_product_page_woocommerce;
	$controls['cutseo-color'] = $cutseo_theme_colors;
	return $controls;
}

/** ACTION for Woocommerce**/
add_action( 'wp', 'apply_action', 90 );


function apply_action(){
				// Sale flash
		if ( TRUE != layers_get_theme_mod( 'woocommerce-product-list-sale-flash' ) ) {
			remove_action( 'woocommerce_before_shop_loop_item_title', 'woocommerce_show_product_loop_sale_flash', 10 );
		}
		
        // Result Count
		if ( TRUE != layers_get_theme_mod( 'woocommerce-product-list-products-count' ) ) {
			remove_action( 'woocommerce_before_shop_loop', 'woocommerce_result_count', 20 );
		}

		// Product Ordering
		if ( TRUE != layers_get_theme_mod( 'woocommerce-product-list-products-sorting' ) ) {

			remove_action( 'woocommerce_before_shop_loop', 'woocommerce_catalog_ordering', 30 );
		}

		// Add to cart button
		if ( TRUE != layers_get_theme_mod( 'woocommerce-product-list-add-to-cart-button' ) ) {
			remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_add_to_cart', 10 );
		}

		// Price
		if ( TRUE != layers_get_theme_mod( 'woocommerce-product-list-prices' ) ) {
			remove_action( 'woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_price', 10 );
		}

		// Rating
		if ( TRUE != layers_get_theme_mod( 'woocommerce-product-list-ratings' ) ) {
			remove_action( 'woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 5 );
		}
		// New Badge
		if ( TRUE == layers_get_theme_mod( 'woocommerce-product-list-new-badges' )  ) {
			add_action( 'woocommerce_after_shop_loop_item_title', 'show_product_loop_new_badge', 11 );
		}

		// Stock
		if ( TRUE == layers_get_theme_mod( 'woocommerce-product-list-stock' ) ) {
			add_action( 'woocommerce_after_shop_loop_item','show_product_stock', 30 );
		}

		// Categories
		if ( TRUE == layers_get_theme_mod( 'woocommerce-product-list-meta' )  ) {
			add_action( 'woocommerce_after_shop_loop_item', 'apply_show_product_categories', 30 );
		}

		// Thumbnail
		if ( TRUE != layers_get_theme_mod( 'woocommerce-product-list-thumbnails' ) ) {
			remove_action( 'woocommerce_before_shop_loop_item_title', 'woocommerce_template_loop_product_thumbnail', 10 );
		}

		// Thumbnail Flip
		if ( TRUE == layers_get_theme_mod( 'woocommerce-product-list-thumbnails-flip' )  ) {
			add_action( 'woocommerce_before_shop_loop_item_title', 'woocommerce_template_loop_product_thumbnail_flip', 11 );
		}	



		/*
		 * WooCommerce Product Single
		 */


		// Title
		if ( TRUE != layers_get_theme_mod( 'woocommerce-product-page-title' ) ) {
			remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_title', 5 );
		}

		// Excerpt
		if ( TRUE != layers_get_theme_mod( 'woocommerce-product-page-excerpt' ) ) {
			remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_excerpt', 20 );
		}

		// Sale flash
		if ( TRUE != layers_get_theme_mod( 'woocommerce-product-page-sale-flash' ) ) {
			remove_action( 'woocommerce_before_single_product_summary', 'woocommerce_show_product_sale_flash', 10 );
		}

		// Add to cart button
		if ( TRUE != layers_get_theme_mod( 'woocommerce-product-page-add-to-cart-button' ) ) {
			remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_add_to_cart', 30 );
			remove_action( 'woocommerce_simple_add_to_cart', 'woocommerce_simple_add_to_cart', 30 );
			remove_action( 'woocommerce_grouped_add_to_cart', 'woocommerce_grouped_add_to_cart', 30 );
			remove_action( 'woocommerce_variable_add_to_cart', 'woocommerce_variable_add_to_cart', 30 );
			remove_action( 'woocommerce_external_add_to_cart', 'woocommerce_external_add_to_cart', 30 );
		}

		// Price
		if ( TRUE != layers_get_theme_mod( 'woocommerce-product-page-prices' ) ) {
			remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_price', 10 );
		}

		// Rating
		if ( TRUE != layers_get_theme_mod( 'woocommerce-product-page-ratings' ) ) {
			remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_rating', 10 );
		}

		// Categories
		if ( FALSE == layers_get_theme_mod( 'woocommerce-product-page-meta' ) ) {
			remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_meta', 40 );
		}
			// New Badge
		if ( TRUE == layers_get_theme_mod( 'woocommerce-product-list-new-badges' ) ) {
			add_action( 'woocommerce_after_shop_loop_item_title', 'show_product_loop_new_badge', 11 );
		}

		// Stock
		if ( TRUE != layers_get_theme_mod( 'woocommerce-product-page-stock' ) ) {
			add_filter( 'woocommerce_stock_html', '__return_false' );
		}
}

// Display Stock Count
function show_product_stock() {
	global $product;

	$availability      = $product->get_availability();
	$availability_html = empty( $availability['availability'] ) ? '' : '<p class="stock ' . esc_attr( $availability['class'] ) . '">' . esc_html( $availability['availability'] ) . '</p>';

	echo apply_filters( 'woocommerce_stock_html', $availability_html, $availability['availability'], $product );
}

function show_product_loop_new_badge() {

		

		$postdate 		= get_the_time( 'Y-m-d' ); // Post date
		$postdatestamp 	= strtotime( $postdate ); // Timestamped post date
		$newness 		= ( is_archive() ) ? layers_get_theme_mod( 'woocommerce-product-list-new-badges-time' ) : layers_get_theme_mod( 'woocommerce-product-page-new-badges-time' ) ; // Newness in days as defined by option

		if ( ( time() - ( 60 * 60 * 24 * $newness ) ) < $postdatestamp ) { // If the product was published within the newness time frame display the new badge
			?>
			<span class="new-badge"><?php _e( 'New', 'cutseo-blog' ); ?></span>
			<?php
		}
	}
	
		// Display Meta
	function apply_show_product_categories() {
		global $post;

		$categories = '';
		$the_categories = get_the_terms( $post->ID , 'product_cat' );

		// If there are no categories, skip to the next case
		if( ! $the_categories ) return;

		foreach ( $the_categories as $category ){
			$categories[] = ' <a href="'.get_category_link( $category->term_id ).'" title="' . esc_attr( sprintf( __( "View all posts in %s", LAYERS_THEME_SLUG ), $category->name ) ) . '">'.$category->name.'</a>';
		}
		$categories = implode( __( ', ' , 'cutseo-blog' ), $categories );
		?>
		<footer class="meta-info">
			<p>
				<span class="meta-item meta-category"><i class="l-folder-open-o"></i>
					<?php echo $categories; ?>
				</span>
			</p>
		</footer>
		<?php
	}
	// Add product thumbnail flip
	function woocommerce_template_loop_product_thumbnail_flip() {

		global $product, $woocommerce, $post;

		$size = 'shop_catalog';

		$attachment_ids = array();

		if ( has_post_thumbnail() ) {
			$attachment_ids[] = get_post_thumbnail_id( $post->ID );
		}

		$gallery_ids = $product->get_gallery_attachment_ids();

		if( !empty( $gallery_ids ) ) {
			$attachment_ids = array_merge( $gallery_ids, $attachment_ids );
		}

		if ( 2 <= count( $attachment_ids ) ) {
			foreach ( $attachment_ids as $attachment_id ) {

				$img = wp_get_attachment_image_src( $attachment_id, $size );
				?>
				<div class="thumbnail-flip-slide-temp" data-product-img-src="<?php echo esc_attr( $img[0] ); ?>"></div>
				<?php

				// echo wp_get_attachment_image( $attachment_id, 'shop_catalog', '', $attr = array(
				//  	'class' => 'thumbnail-flip-slide attachment-shop-catalog'
				// ) );
			}
		}
	}	



/** ACTION for color**/
add_action( 'wp_enqueue_scripts', 'layers_child_customizer_styles', 100 );
if( !function_exists( 'layers_child_customizer_styles' ) ) {
    function layers_child_customizer_styles() {
     //   $cutseo_main_color = layers_get_theme_mod('cutseo_main_color',TRUE);
	//	$cutseo_button_search = layers_get_theme_mod('cutseo_button_search',TRUE);
		$footer_color = layers_get_theme_mod( 'footer-background-color', TRUE );
		$title_background_color = layers_get_theme_mod( 'title-background-color', TRUE );
		$section_title_excerpt_color = layers_get_theme_mod( 'section-title-excerpt-color', TRUE );
		$sidebar_well_color = layers_get_theme_mod( 'sidebar-well-color', TRUE );
		$meta_color = layers_get_theme_mod( 'story-meta-color', TRUE );
		
/*		if( '' != $cutseo_main_color ) {
		   layers_inline_styles( array(
				'selectors' => array( ".excerpt a.read-more,header .nav-horizontal li.current-menu-item a,.story a,a:hover,
				.title-container a:hover, .section-title .heading a:hover, .header-site.invert .nav-horizontal > ul > li > a:hover, 
				.nav-horizontal li a:hover, .wrapper-content .woocommerce a"),			
				    'css' => array(
					'color' => $cutseo_main_color,
				    ),
				
		    ));	
			layers_inline_styles( array(
				'selectors' => array( 'section[class*=" off-canvas-"] .button,section[class*=" off-canvas-"] 
				input[type="button"], section[class*=" off-canvas-"] input[type="submit"], 
				section[class*=" off-canvas-"] button, .button, input[type="button"], input[type="submit"], button, 
				a.checkout-button, a.add_to_cart_button, a.button'),			
				    'css' => array(
					'background-color' => $cutseo_main_color,
				    ),
				
		    ));
		}

		if( '' != $cutseo_button_search ) {
		    layers_inline_styles( array(
				'selectors' => array( ".sidebar input.search-submit, .actions input.button"),			
				    'css' => array(
					'background-color' => $cutseo_button_search,
				    ),
				
		    ));	
		}*/
		
		if( '' != $footer_color ) {
			layers_inline_styles( array(
				'selectors' => array( ".footer-site"),			
				    'css' => array(
					'background-color' => $footer_color,
				    ),			
		    ));
			if ( 'dark' == layers_is_light_or_dark( $footer_color ) ){
				add_filter( 'layers_footer_site_class', 'layers_add_invert_class' );
			}
		}
		
		if( '' != $title_background_color ) {
			layers_inline_styles( '.title-container', 'background', array( 'background' => array( 'color' => $title_background_color ) ) );
			if ( 'dark' == layers_is_light_or_dark( $title_background_color ) ){
				add_filter( 'layers_title_container_class', 'layers_add_invert_class' );
			}
		}

		if( '' != $section_title_excerpt_color ) {
			layers_inline_styles( '.section-title .excerpt', 'css', array( 'css' => 'color: ' . $section_title_excerpt_color . '; '));
		}

		if( '' != $sidebar_well_color ) {
			layers_inline_styles( '', 'background', array(
				'selectors' => array( '.sidebar .well' ),
				'background' => array( 'color' => $sidebar_well_color ),
			));
			if ( 'dark' == layers_is_light_or_dark( $sidebar_well_color ) ){
				add_filter( 'layers_body_sidebar_class', 'layers_add_invert_class' );
				add_filter( 'layers_left_sidebar_class', 'layers_add_invert_class' );
				add_filter( 'layers_right_sidebar_class', 'layers_add_invert_class' );
				add_filter( 'layers_left_woocommerce_sidebar_class', 'layers_add_invert_class' );
				add_filter( 'layers_right_woocommerce_sidebar_class', 'layers_add_invert_class' );
			}
		}
		
		if( '' != $meta_color ) {
			layers_inline_styles( '.type-post .meta-info, .type-page .meta-info, .type-post .meta-info a, .type-page .meta-info a', 'css', array(
				'css' => 'color: ' . $meta_color . '; '
			));
		}
    }
}



/**
* Register WooCommerce Widgets
*/
/**
* Register WooCommerce Widgets
*/
if (!function_exists('layers_woocommerce_cart_button')) {
	function layers_woocommerce_cart_button(){
			global $woocommerce;

			if( !$woocommerce ) return;

			if( !layers_get_theme_mod( 'woocommerce-show-site-cart-heading') ) return;

			if( !layers_get_theme_mod( 'woocommerce-show-menu-cart-icon' ) && !layers_get_theme_mod( 'woocommerce-show-menu-cart-amount' ) && !layers_get_theme_mod( 'woocommerce-show-menu-cart-products' ) ) return; ?>
			<div class="header-cart">
				<a href="<?php echo $woocommerce->cart->get_cart_url(); ?>" class="cart">
					<?php if( TRUE === (bool) layers_get_theme_mod( 'woocommerce-show-menu-cart-icon' ) ) { ?>
						<span class="l-shopping-cart"></span>
					<?php } ?>
					<?php if( TRUE === (bool) layers_get_theme_mod( 'woocommerce-show-menu-cart-products' ) ) { ?>
						<span class="cart-count"><?php echo $woocommerce->cart->cart_contents_count; ?></span>
					<?php } ?>
					<?php if( TRUE === (bool) layers_get_theme_mod( 'woocommerce-show-menu-cart-amount' ) ) { ?>
						<span class="cart-total">
							<?php echo $woocommerce->cart->get_cart_subtotal(); ?>
						</span>
					<?php } ?>
				</a>

				<?php if( TRUE === (bool) layers_get_theme_mod( 'woocommerce-show-menu-cart-mini-cart' ) ) { ?>
					<div class="header-mini-cart">
						<?php woocommerce_mini_cart(); ?>
					</div>
				<?php } ?>
			</div>
	<?php };
}

add_action( 'layers_after_header_nav' , 'layers_woocommerce_cart_button' , 30 );


if (!function_exists('layers_woocommerce_cart_fragments')) {
	function layers_woocommerce_cart_fragments( $fragments ){
		 ob_start();

		layers_woocommerce_cart_button();

		$fragments[ 'div.header-cart' ] = ob_get_clean();
		$fragments[ 'ul.cart_list-cart' ] = ob_get_clean();

		return $fragments;
	}
}

if( !$wp_customize )
	add_filter( 'add_to_cart_fragments', 'layers_woocommerce_cart_fragments' );

add_filter( 'layers_get_page_title', 'layers_woocommerce_page_title' );
function layers_woocommerce_page_title( $title ){

	if( !class_exists( 'WooCommerce' ) ) return $title;

	if( is_product_category() ) {

		$term = get_term_by( 'slug', get_query_var('term' ), get_query_var( 'taxonomy' ) );

		if( is_wp_error( $term ) ) return $title;

		$title['title'] = $term->name;
		if( TRUE == layers_get_theme_mod( 'woocommerce-header-category-excerpt' ) ){
			$title['excerpt'] = $term->description;
		}
	}

	 return $title;
}


/* Translation */
// Load translation files from your child theme instead of the parent theme
function my_child_theme_locale() {
   
	
	load_child_theme_textdomain( 'cutseo-blog', get_stylesheet_directory() . '/languages' );
	load_textdomain( 'layerswp', get_stylesheet_directory() . '/languages/layerswp/layerswp-cs_CZ.mo' );
}
add_action( 'after_setup_theme', 'my_child_theme_locale' );





add_action( 'after_setup_theme', 'layerswoo_theme_setup' );
function layerswoo_theme_setup() {
   add_theme_support( 'wc-product-gallery-zoom' );
   add_theme_support( 'wc-product-gallery-lightbox' );
   add_theme_support( 'wc-product-gallery-slider' );
}

/**
* Sorting out of stock WooCommerce products - Order product collections by stock status, in-stock products first.
*/
class iWC_Orderby_Stock_Status
{
public function __construct()
{
// Check if WooCommerce is active
if (in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins')))) {
add_filter('posts_clauses', array($this, 'order_by_stock_status'), 2000);
}
}
public function order_by_stock_status($posts_clauses)
{
global $wpdb;
// only change query on WooCommerce loops
if (is_woocommerce() && (is_shop() || is_product_category() || is_product_tag())) {
$posts_clauses['join'] .= " INNER JOIN $wpdb->postmeta istockstatus ON ($wpdb->posts.ID = istockstatus.post_id) ";
$posts_clauses['orderby'] = " istockstatus.meta_value ASC, " . $posts_clauses['orderby'];
$posts_clauses['where'] = " AND istockstatus.meta_key = '_stock_status' AND istockstatus.meta_value <> '' " . $posts_clauses['where'];
}
return $posts_clauses;
}
}
new iWC_Orderby_Stock_Status;
/**
* END - Order product collections by stock status, instock products first.
*/

add_filter( 'loop_shop_per_page', 'new_loop_shop_per_page', 20 );

function new_loop_shop_per_page( $cols ) {
  // $cols contains the current number of products per page based on the value stored on Options -> Reading
  // Return the number of products you wanna show per page.
  $cols = 100;
  return $cols;
}