<?php
/**
 * This template is used for displaying posts in post lists
 *
 * @package Layers
 * @since Layers 1.0.0
 */

global $post, $layers_post_meta_to_display; ?>
<article id="post-<?php the_ID(); ?>" class="push-bottom-large">
	<?php do_action('layers_before_list_post_title'); ?>
	<header class="section-title large">
		<?php do_action('layers_before_list_title'); ?>
		<h2 class="heading"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
		<?php do_action('layers_after_list_title'); ?>
	
		<?php do_action('layers_after_list_post_title'); ?>
	
		<?php do_action('layers_before_list_post_meta'); ?>
			<?php /**
			* Display the Post Meta
			*/
			layers_post_meta( get_the_ID(), NULL, 'div', 'meta-info' ); ?>
		<?php do_action('layers_after_list_post_meta'); ?>
	</header>
	
	<?php /**
	* Display the Featured Thumbnail
	*/
	if ( has_post_thumbnail() ) {
		/*echo '<div class="img_thumbnail"><a href="';
		the_permalink();
		echo '">';*/
		echo '<div class="img_thumbnail">';
		echo layers_post_featured_media( array( 'postid' => get_the_ID(), 'wrap_class' => 'thumbnail', 'size' => 'medium' ) );
		echo '</div>';
	} ?>

	

	
	<?php if( '' != get_the_excerpt() || '' != get_the_content() ) { ?>
		<?php do_action('layers_before_list_post_content'); ?>
		<div class="copy">
			<?php /**
			* Display the Excerpt
			*/
			the_excerpt(); ?>
		</div>
		<?php do_action('layers_after_list_post_content'); ?>
	<?php } ?>
</article>